package task1;

public class Card {

    private String suit;
    private int rank;

    Card(String suit, int rank) {
        this.suit = suit;
        this.rank = rank;
    }

    String getSuit() {
        return suit;
    }

    int getRank() {
        return rank;
    }

    public String printCard() {
        return getRankName(rank) + " of " + suit;
    }

    private String getRankName(int rank) {
        switch (rank) {
            case 1 : return "Ace";
            case 11 : return "Jack";
            case 12 : return "Queen";
            case 13 : return "King";
            default: return String.valueOf(rank);
        }
    }
}

