package task1;

public class Player {

    protected Hand hand;
    protected int score;

    public Player() {
        hand = new Hand();
    }

    public int getScore() {
        return score;
    }

    public void hit(Card card) {
        hand.addCard(card);
    }

    // Returns the value of current hand.
    public int total() {
        return hand.total();
    }

    // Returns the string representation of the current hand.
    public String getHand() {
        return hand.getCards();
    }

    // Add given points to the players current score.
    public void addPoints(int points) {
        score += points;
    }

    // Discard/Clear all the cards in the current player's hand so it's empty.
    public void handClear() {
        hand = new Hand();
        score = 0;
    }
}
